<?php


namespace Shop\Application\Shopping\MergeProviderOrders;


class MergeProviderOrdersCommand
{

    protected $ids = [];
    protected $result;

    public function __construct(array $ids, Result $result)
    {
        $this->ids = $ids;
        $this->result = $result;
    }

    /**
     * @return array
     */
    public function getIds(): array
    {
        return $this->ids;
    }

    /**
     * @return Result
     */
    public function getResult(): Result
    {
        return $this->result;
    }

}